// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.featuretree;

import java.util.UUID;

import eu.etaxonomy.cdm.api.service.IFeatureNodeService;
import eu.etaxonomy.cdm.model.description.FeatureNode;
import eu.etaxonomy.taxeditor.model.CdmObjectTransfer;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * <p>FeatureNodeTransfer class.</p>
 *
 * @author n.hoffmann
 * @created Aug 5, 2010
 * @version 1.0
 */
public class FeatureNodeTransfer extends CdmObjectTransfer<FeatureNode> {

	private static FeatureNodeTransfer instance = new FeatureNodeTransfer();
	private static final String TYPE_NAME = "featureNode-transfer-format";
	private static final int TYPEID = registerType(TYPE_NAME);

	/**
	 * <p>Getter for the field <code>instance</code>.</p>
	 *
	 * @return a {@link eu.etaxonomy.taxeditor.featuretree.FeatureNodeTransfer} object.
	 */
	public static synchronized FeatureNodeTransfer getInstance() {
		return instance;
	}

	private FeatureNodeTransfer() {}

	/** {@inheritDoc} */
	@Override
	protected int[] getTypeIds() {
		return new int[] { TYPEID };
	}

	/** {@inheritDoc} */
	@Override
	protected String[] getTypeNames() {
		return new String[] { TYPE_NAME };
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.model.CdmObjectTransfer#loadElement(java.util.UUID)
	 */
	@Override
	public FeatureNode loadElement(UUID uuid) {
		return  CdmStore.getService(IFeatureNodeService.class).load(uuid);
	}
}
