/**
 * 
 */
package eu.etaxonomy.taxeditor.labels;

import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.cdm.model.name.NameRelationshipType;

/**
 * <p>ZoologicalNameLabelStrategy class.</p>
 *
 * @author p.ciardelli
 * @version $Id: $
 */
public class ZoologicalNameLabelStrategy extends DefaultLabelStrategy {

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.labels.IEditorLabelStrategy#getNameRelationTypeLabel(eu.etaxonomy.cdm.model.name.NameRelationshipType)
	 */
	/** {@inheritDoc} */
	public String getNameRelationTypeLabel(NameRelationshipType type) {
		if (type.equals(NameRelationshipType.BASIONYM())) {
			return "original combination for";
		}
		return super.getNameRelationTypeLabel(type);
	}
	
	/** {@inheritDoc} */
	public Image getNameRelationTypeImage(NameRelationshipType type) {
		if (NameRelationshipType.BASIONYM().equals(type)) {
			return null;
		}
		return super.getNameRelationTypeImage(type);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.labels.ILabelImageStrategy#getNameRelationDescription(eu.etaxonomy.cdm.model.name.NameRelationshipType)
	 */
	/** {@inheritDoc} */
	public String getNameRelationTypeDescription(NameRelationshipType type) {
		if (NameRelationshipType.BASIONYM().equals(type)) {
			return "Original Combination";
		}
		return super.getNameRelationTypeDescription(type);
	}
}
