// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.ICollectionService;
import eu.etaxonomy.cdm.model.occurrence.Collection;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.occurrence.CollectionWizardPage;

/**
 * <p>NewCollectionWizard class.</p>
 *
 * @author n.hoffmann
 * @created Oct 13, 2010
 * @version 1.0
 */
public class NewCollectionWizard extends AbstractNewEntityWizard<Collection> {

	/** {@inheritDoc} */
	@Override
	public void addPages() {
		addPage(new CollectionWizardPage(formFactory, getConversationHolder(), getEntity()));
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	/** {@inheritDoc} */
	@Override
	protected void saveEntity() {
		CdmStore.getService(ICollectionService.class).saveOrUpdate(getEntity());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	/** {@inheritDoc} */
	@Override
	protected Collection createNewEntity() {
		return Collection.NewInstance();
	}
	
}
