// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeNotSupportedException;
import eu.etaxonomy.cdm.api.service.IOccurrenceService;
import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
import eu.etaxonomy.cdm.model.occurrence.Specimen;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.occurrence.DerivedUnitBaseWizardPage;
import eu.etaxonomy.taxeditor.ui.section.occurrence.FieldObservationWizardPage;
import eu.etaxonomy.taxeditor.ui.section.occurrence.GatheringEventWizardPage;
import eu.etaxonomy.taxeditor.ui.section.occurrence.GeneralWizardPage;

/**
 * <p>NewDerivedUnitBaseWizard class.</p>
 *
 * @author n.hoffmann
 * @created Jun 16, 2010
 * @version 1.0
 */
public class NewDerivedUnitBaseWizard extends AbstractNewEntityWizard<DerivedUnitBase> {
	
	/** {@inheritDoc} */
	@Override
	public void addPages() {
		addPage(new GeneralWizardPage(formFactory, getConversationHolder(), getFacade()));
		addPage(new GatheringEventWizardPage(formFactory, getConversationHolder(), getFacade()));
		addPage(new FieldObservationWizardPage(formFactory, getConversationHolder(), getFacade()));
		addPage(new DerivedUnitBaseWizardPage(formFactory, getConversationHolder(), getFacade()));
	}
	
	/**
	 * @return
	 */
	private DerivedUnitFacade getFacade() {
		try {
			return DerivedUnitFacade.NewInstance(getEntity(), PreferencesUtil.getDerivedUnitConfigurator());
		} catch (DerivedUnitFacadeNotSupportedException e) {
			// w should never get here
			throw new IllegalStateException();
		}
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	/** {@inheritDoc} */
	@Override
	protected DerivedUnitBase createNewEntity() {
		// TODO we do want to create different derivates of DerivedUnitBase but go with specimen for testing 
		// at the moment
		// FIXME add wizard page that handles the selection of derived unit type
		return Specimen.NewInstance();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	/** {@inheritDoc} */
	@Override
	protected void saveEntity() {
		CdmStore.getService(IOccurrenceService.class).saveOrUpdate(getEntity());
	}
}
