// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IAgentService;
import eu.etaxonomy.cdm.model.agent.Institution;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.agent.InstitutionWizardPage;

/**
 * @author n.hoffmann
 * @created Dec 15, 2010
 * @version 1.0
 */
public class NewInstitutionWizard extends AbstractNewEntityWizard<Institution> {

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	@Override
	public void addPages() {
		addPage(new InstitutionWizardPage(formFactory, getConversationHolder(), getEntity()));
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	@Override
	protected void saveEntity() {
		CdmStore.getService(IAgentService.class).saveOrUpdate(getEntity());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	@Override
	protected Institution createNewEntity() {
		return Institution.NewInstance();
	}

}
