/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference;



/**
 * This interface provides convenient access to the theme resources defined in this packages plugin.xml
 *
 * @author n.hoffmann
 * @created 18.03.2009
 * @version 1.0
 */
public interface Resources {
	
	/* ***************************************************************************************
	FONTS
	************************************************************************************** */	
	/** Constant <code>ACCEPTED_TAXON_FONT="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String ACCEPTED_TAXON_FONT = "eu.etaxonomy.taxeditor.preferences.fontDefinition.nameEditor.accepted";
	/** Constant <code>SYNONYM_FONT="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String SYNONYM_FONT = "eu.etaxonomy.taxeditor.preferences.fontDefinition.nameEditor.synonym";
	/** Constant <code>MISAPPLIEDNAME_FONT="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String MISAPPLIEDNAME_FONT = "eu.etaxonomy.taxeditor.preferences.fontDefinition.nameEditor.misapplication";
	/** Constant <code>CONCEPT_FONT="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String CONCEPT_FONT = "eu.etaxonomy.taxeditor.preferences.fontDefinition.nameEditor.concept";
	/** Constant <code>FONT_DEFAULT_PROMPT="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String FONT_DEFAULT_PROMPT = "eu.etaxonomy.taxeditor.preferences.fontDefinition.nameEditor.default";
	
	/** Constant <code>FONT_SEARCH_VIEW_ACCEPTED="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String FONT_SEARCH_VIEW_ACCEPTED = "eu.etaxonomy.taxeditor.preferences.fontDefinition.searchView.accepted";
	/** Constant <code>FONT_SEARCH_VIEW_SYNONYM="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String FONT_SEARCH_VIEW_SYNONYM = "eu.etaxonomy.taxeditor.preferences.fontDefinition.searchView.synonym";
	/** Constant <code>FONT_SEARCH_VIEW_OTHER="eu.etaxonomy.taxeditor.preferences.font"{trunked}</code> */
	public static final String FONT_SEARCH_VIEW_OTHER = "eu.etaxonomy.taxeditor.preferences.fontDefinition.searchView.other";
	
	/* ***************************************************************************************
	COLORS
	************************************************************************************** */
	/** Constant <code>COLOR_CONTROL_BACKGROUND="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_CONTROL_BACKGROUND = "eu.etaxonomy.taxeditor.preferences.colorDefinition.nameEditor.colorContainerBackground";
	/** Constant <code>COLOR_CONTROL_SELECTED="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_CONTROL_SELECTED = "eu.etaxonomy.taxeditor.preferences.colorDefinition.nameEditor.colorContainerSelected";
	/** Constant <code>COLOR_CONTROL_SELECTED_FOCUS="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_CONTROL_SELECTED_FOCUS = "eu.etaxonomy.taxeditor.preferences.colorDefinition.nameEditor.colorContainerSelectedFocus";
	
	/** Constant <code>COLOR_COMPOSITE_BACKGROUND="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_COMPOSITE_BACKGROUND = "eu.etaxonomy.taxeditor.preferences.colorDefinition.colorCompositeBackground";
	/** Constant <code>COLOR_COMPOSITE_IRRELEVANT="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_COMPOSITE_IRRELEVANT = "eu.etaxonomy.taxeditor.preferences.colorDefinition.colorCompositeIrrelevant";
	
	/** Constant <code>SEARCH_VIEW_FOREGROUND="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String SEARCH_VIEW_FOREGROUND = "eu.etaxonomy.taxeditor.preferences.colorDefinition.searchView.foreground";
	/** Constant <code>SEARCH_VIEW_FOCUS="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String SEARCH_VIEW_FOCUS = "eu.etaxonomy.taxeditor.preferences.colorDefinition.searchView.focus";

	/** Constant <code>COLOR_LIST_BACKGROUND="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_LIST_BACKGROUND = "eu.etaxonomy.taxeditor.preferences.colorDefinition.listBackground";
	/** Constant <code>COLOR_FONT_DEFAULT="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_FONT_DEFAULT = "eu.etaxonomy.taxeditor.preferences.colorDefinition.textDefault";
	/** Constant <code>COLOR_TEXT_DISABLED="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_TEXT_DISABLED = "eu.etaxonomy.taxeditor.preferences.colorDefinition.textDisabled";
	/** Constant <code>COLOR_TEXT_DISABLED_BACKGROUND="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_TEXT_DISABLED_BACKGROUND = "eu.etaxonomy.taxeditor.preferences.colorDefinition.textBackgroundDisabled";
	
	/** Constant <code>COLOR_DRAG_ENTER="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_DRAG_ENTER = "eu.etaxonomy.taxeditor.preferences.colorDefinition.nameEditor.colorContainerDragEnter";
	/** Constant <code>COLOR_LIST_EVEN="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_LIST_EVEN = "eu.etaxonomy.taxeditor.preferences.colorDefinition.listBackgroundEven";
	/** Constant <code>COLOR_LIST_ODD="eu.etaxonomy.taxeditor.preferences.colo"{trunked}</code> */
	public static final String COLOR_LIST_ODD = "eu.etaxonomy.taxeditor.preferences.colorDefinition.listBackgroundOdd";
	
	public static final String COLOR_PARSE_ERROR = "eu.etaxonomy.taxeditor.preferences.colorDefinition.parseError";
	
	public static final String COLOR_DISABLED_EDITOR = "eu.etaxonomy.taxeditor.preferences.colorDefinition.disabledEditor";
	
	
}
