/**
 * 
 */
package eu.etaxonomy.taxeditor.preference.menu;

import java.util.List;

import eu.etaxonomy.cdm.model.description.MeasurementUnit;
import eu.etaxonomy.taxeditor.store.TermStore;

/**
 * <p>MeasurementUnitMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class MeasurementUnitMenuPreferences extends AbstractMenuPreferences<MeasurementUnit> {

	/**
	 * <p>Constructor for MeasurementUnitMenuPreferences.</p>
	 */
	public MeasurementUnitMenuPreferences() {
		super("Measurement Units", 
				"Edit displayed measurement units", 
				true);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected Class<MeasurementUnit> getTermClass() {
		return MeasurementUnit.class;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTerms()
	 */
	@Override
	protected List<MeasurementUnit> getTerms() {
		return TermStore.getMeasurementUnits();
	}

}
