// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import java.util.List;

import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
import eu.etaxonomy.taxeditor.store.TermStore;

/**
 * <p>NomenclaturalStatusTypeMenuPreferences class.</p>
 *
 * @author n.hoffmann
 * @created 25.06.2009
 * @version 1.0
 */
public class NomenclaturalStatusTypeMenuPreferences extends
		AbstractMenuPreferences<NomenclaturalStatusType> {

	/**
	 * <p>Constructor for NomenclaturalStatusTypeMenuPreferences.</p>
	 */
	public NomenclaturalStatusTypeMenuPreferences() {
		super("Nomenlcatural Status Type Preferences", 
				"Configure nomenclatural status types",
				false);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTermClass()
	 */
	/** {@inheritDoc} */
	@Override
	protected Class<NomenclaturalStatusType> getTermClass() {
		return NomenclaturalStatusType.class;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences#getTerms()
	 */
	@Override
	protected List<NomenclaturalStatusType> getTerms() {
		return TermStore.getNomenclaturalStatusTypes();
	}
	
}
