// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.dialogs;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.store.StoreUtil;

/**
 * TODO wrap in a LoginModule
 * see: http://java.sun.com/j2se/1.5.0/docs/api/javax/security/auth/spi/LoginModule.html
 *
 * @author n.hoffmann
 * @created 16.06.2009
 * @version 1.0
 */
public class LoginDialog extends Dialog {
	
	private static Text text_password;
	private static Text text_username;

	private String title;

	/**
	 * <p>Constructor for LoginDialog.</p>
	 *
	 * @param parentShell a {@link org.eclipse.swt.widgets.Shell} object.
	 */
	public LoginDialog(Shell parentShell) {
		super(parentShell);
		title = "Login";
	}
		

	/* (non-Javadoc)
	 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
	 */
	/** {@inheritDoc} */
	@Override
	protected Control createDialogArea(Composite parent) {
		Composite composite = (Composite) super.createDialogArea(parent);
		//add controls to composite as necessary
		

		// Label for the heading
		final CLabel titleLabel = new CLabel(composite, SWT.NONE);
		titleLabel.setText("User Login");

		// Label for the username
		final CLabel userNameLabel = new CLabel(composite, SWT.NONE);
		userNameLabel.setText("Username");

		// Textfield for the username
		text_username = new Text(composite, SWT.BORDER);
		text_username.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));

		// Label for the password
		final CLabel passwordLabel = new CLabel(composite, SWT.NONE);
		passwordLabel.setText("Password");

		// Textfield for the password
		text_password = new Text(composite, SWT.PASSWORD | SWT.BORDER);
		text_password.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
		
		
		return composite;
	}

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.window.Window#configureShell(org.eclipse.swt.widgets.Shell)
     */
    /** {@inheritDoc} */
    protected void configureShell(Shell shell) {
        super.configureShell(shell);
        if (title != null) {
			shell.setText(title);
		}
    }

	/* (non-Javadoc)
	 * @see org.eclipse.jface.dialogs.Dialog#okPressed()
	 */
	/** {@inheritDoc} */
	@Override
	protected void okPressed() {
		String username = text_username.getText();
		String password = text_password.getText();
		
		boolean result = CdmStore.getLoginManager().authenticate(username, password);
		
		if(result){
			super.okPressed();
		}
		
	}	
	
	@Override
	protected void cancelPressed() {		
		boolean result = MessageDialog.openConfirm(getShell(), "Do you really want to cancel", "Aborting the login procedure will close the database.");
		
		if(result){
			CdmStore.close(StoreUtil.getMonitor());
			super.cancelPressed();
		}
	}
}
