// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection;

import java.util.UUID;

import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.service.IAgentService;
import eu.etaxonomy.cdm.model.agent.AgentBase;
import eu.etaxonomy.cdm.model.agent.Institution;
import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.newWizard.NewInstitutionWizard;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created Dec 15, 2010
 * @version 1.0
 */
public class InstitutionSelectionDialog extends
		AbstractFilteredCdmResourceSelectionDialog<Institution> {

	public static Institution select(Shell shell, ConversationHolder conversation, Institution institution){
		InstitutionSelectionDialog dialog = new InstitutionSelectionDialog(shell, conversation,
				"Choose Institution", false, TeamSelectionDialog.class.getCanonicalName(), institution);
		return getSelectionFromDialog(dialog);
	}
	
	/**
	 * @param shell
	 * @param conversation
	 * @param title
	 * @param multi
	 * @param settings
	 * @param cdmObject
	 */
	protected InstitutionSelectionDialog(Shell shell,
			ConversationHolder conversation, String title, boolean multi,
			String settings, Institution cdmObject) {
		super(shell, conversation, title, multi, settings, cdmObject);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#getPersistentObject(java.util.UUID)
	 */
	@Override
	protected Institution getPersistentObject(UUID uuid) {
		AgentBase agentBase = CdmStore.getService(IAgentService.class).load(uuid);
		
		if(agentBase instanceof Institution){
			return (Institution) agentBase;
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#initModel()
	 */
	@Override
	protected void initModel() {
		model = CdmStore.getService(IAgentService.class).getInstitutionUuidAndTitleCache();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#getNewWizardLinkText()
	 */
	@Override
	protected String getNewWizardLinkText() {
		return "Create a new <A>Institution</A>.";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.dialogs.filteredSelection.AbstractFilteredCdmResourceSelectionDialog#getNewEntityWizard(java.lang.String)
	 */
	@Override
	protected AbstractNewEntityWizard getNewEntityWizard(String parameter) {
		return new NewInstitutionWizard();
	}

}
