// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.forms;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Display;


/**
 * <p>ISelectable interface.</p>
 *
 * @author n.hoffmann
 * @created Feb 22, 2010
 * @version 1.0
 */
public interface ISelectable{
	
	/** Constant <code>SELECTED</code> */
	public static Color SELECTED = Display.getCurrent().getSystemColor(SWT.COLOR_LIST_SELECTION);
	/** Constant <code>NOT_SELECTED</code> */
	public static Color NOT_SELECTED = Display.getCurrent().getSystemColor(SWT.COLOR_WHITE);
	
	/**
	 * <p>setSelected</p>
	 *
	 * @param selected a boolean.
	 */
	public void setSelected(boolean selected);
	
	/**
	 * <p>getColor</p>
	 *
	 * @param selected a boolean.
	 * @return a {@link org.eclipse.swt.graphics.Color} object.
	 */
	public Color getColor(boolean selected);
}
