// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.forms;

import java.net.URI;
import java.net.URISyntaxException;

/**
 * @author n.hoffmann
 * @created Dec 20, 2010
 * @version 1.0
 */
public class UriWithLabelElement extends TextWithLabelElement {

	/**
	 * @param formFactory
	 * @param parentElement
	 * @param labelString
	 * @param initialText
	 * @param textHeight
	 * @param style
	 */
	protected UriWithLabelElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			URI initialUri, Integer textHeight, int style) {
		super(formFactory, parentElement, labelString, null, textHeight, style);
		setUri(initialUri);
	}
	
	/**
	 * 
	 */
	public void setUri(URI uri) {
		if(uri != null){
			super.setText(uri.toString());
		}
	}
	
	public URI getUri() throws URISyntaxException{
		return new URI(super.getText());
	}
	
}
