// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.widgets.Label;

import eu.etaxonomy.cdm.model.common.VersionableEntity;
import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.IEntityElement;

/**
 * <p>EmptyElement class.</p>
 *
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class EmptyElement extends AbstractCdmFormElement implements IEntityElement {

	private static final Logger logger = Logger.getLogger(EmptyElement.class);
	private VersionableEntity entity;
	
	/**
	 * <p>Constructor for EmptyElement.</p>
	 *
	 * @param style a int.
	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.common.VersionableEntity} object.
	 */
	public EmptyElement(CdmFormFactory toolkit, ICdmFormElement parentElement, VersionableEntity entity, int style) {
		super(toolkit, parentElement);
		addControl(new Label(getLayoutComposite(), SWT.HORIZONTAL));
	}
	
	/**
	 * <p>Setter for the field <code>entity</code>.</p>
	 *
	 * @param entity a {@link eu.etaxonomy.cdm.model.common.VersionableEntity} object.
	 */
	public void setEntity(VersionableEntity entity){

		this.entity = entity;		
	}

	/**
	 * <p>Getter for the field <code>entity</code>.</p>
	 *
	 * @return a {@link eu.etaxonomy.cdm.model.common.VersionableEntity} object.
	 */
	public VersionableEntity getEntity() {
		return entity;
	}

	/** {@inheritDoc} */
	public void setSelected(boolean selected) {
		// will not likely be selected
	}
	
	/** {@inheritDoc} */
	@Override
	public void setBackground(Color color) {
		
	}
}
