// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.section.agent;

import eu.etaxonomy.cdm.model.agent.Institution;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
import eu.etaxonomy.taxeditor.ui.selection.InstitutionSelectionElement;

/**
 * @author n.hoffmann
 * @created Dec 15, 2010
 * @version 1.0
 */
public class InstitutionDetailElement extends
		AbstractCdmDetailElement<Institution> {

	private TextWithLabelElement text_name;

	private TextWithLabelElement text_code;

	// private InstitutionTypeSection section_institutionTypes;

	private InstitutionSelectionElement selection_partOfInstitution;

	/**
	 * @param formFactory
	 * @param formElement
	 */
	public InstitutionDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#createControls
	 * (eu.etaxonomy.taxeditor.forms.ICdmFormElement, java.lang.Object, int)
	 */
	@Override
	protected void createControls(ICdmFormElement formElement,
			Institution entity, int style) {
		text_name = formFactory.createTextWithLabelElement(formElement, "Name",
				entity.getName(), style);
		text_code = formFactory.createTextWithLabelElement(formElement, "Code",
				entity.getCode(), style);
		// section_institutionTypes
		selection_partOfInstitution = (InstitutionSelectionElement) formFactory
				.createSelectionElement(SelectionType.INSTITUTION,
						getConversationHolder(), formElement, "Is Part Of",
						entity.getIsPartOf(),
						InstitutionSelectionElement.DEFAULT, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java
	 * .lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if (eventSource == text_name) {
			getEntity().setName(text_name.getText());
		} else if (eventSource == text_code) {
			getEntity().setCode(text_code.getText());
		} else if (eventSource == selection_partOfInstitution) {
			getEntity().setIsPartOf(selection_partOfInstitution.getSelection());
		}
	}

}
