// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.agent;

import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Institution;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;

/**
 * @author n.hoffmann
 * @created Dec 15, 2010
 * @version 1.0
 */
public class InstitutionDetailSection extends AbstractCdmDetailSection<Institution> {

	/**
	 * @param formFactory
	 * @param conversation
	 * @param parentElement
	 * @param selectionProvider
	 * @param style
	 */
	public InstitutionDetailSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, conversation, parentElement, selectionProvider, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getDetailType()
	 */
	@Override
	protected DetailType getDetailType() {
		return DetailType.INSTITUTION;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getHeading()
	 */
	@Override
	public String getHeading() {
		return "Institution";
	}

}
