// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.section.classification;

import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.taxon.Classification;
import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;
import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * ClassificationWizardPage class.
 * </p>
 * 
 * @author n.hoffmann
 * @created 23.06.2009
 * @version 1.0
 */
public class ClassificationWizardPage extends
		AbstractCdmEntityWizardPage<Classification> {

	/**
	 * <p>
	 * Constructor for ClassificationWizardPage.
	 * </p>
	 * 
	 * @param formFactory
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param entity
	 *            a {@link eu.etaxonomy.cdm.model.taxon.TaxonomicTree} object.
	 */
	public ClassificationWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, Classification entity) {
		super(formFactory, conversation, entity);
		setTitle("Classification");
		
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage#createElement
	 * (eu.etaxonomy.taxeditor.forms.ICdmFormElement)
	 */
	/** {@inheritDoc} */
	@Override
	public ClassificationDetailElement createElement(ICdmFormElement rootElement) {
		ClassificationDetailElement detailElement = (ClassificationDetailElement) formFactory
				.createCdmDetailElement(DetailType.CLASSIFICATION, rootElement,
						SWT.NULL);
		detailElement.setEntity(getEntity());		
		return detailElement;
	}
	
}
