// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.description;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.description.Scope;
import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
import eu.etaxonomy.taxeditor.ui.term.ScopeComboElement;

/**
 * <p>ScopeElement class.</p>
 *
 * @author n.hoffmann
 * @created Mar 18, 2010
 * @version 1.0
 */
public class ScopeElement extends AbstractEntityCollectionElement<Scope> {
	
	private static final Logger logger = Logger.getLogger(ScopeElement.class);
	private ScopeComboElement combo_scope;

	/**
	 * <p>Constructor for ScopeElement.</p>
	 *
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param section a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
	 * @param element a {@link eu.etaxonomy.cdm.model.description.Scope} object.
	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
	 * @param style a int.
	 */
	public ScopeElement(CdmFormFactory cdmFormFactory,
			AbstractFormSection section, Scope element,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, section, element, removeListener, null, style);
	}

	/** {@inheritDoc} */
	@Override
	public void setEntity(Scope entity) {
		this.entity = entity;
		combo_scope.setSelection(entity);
	}

	/** {@inheritDoc} */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		combo_scope = (ScopeComboElement) formFactory.createTermComboElement(TermComboType.SCOPE, element, "Scope", null, style);
	}

	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		
	}


}
