// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.description.detail;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.description.Distribution;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.ui.selection.NamedAreaSelectionElement;
import eu.etaxonomy.taxeditor.ui.term.PresenceAbsenceTermComboElement;

/**
 * <p>DistributionDetailElement class.</p>
 *
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class DistributionDetailElement extends
		AbstractDetailedDescriptionDetailElement<Distribution> {

	private static final Logger logger = Logger
			.getLogger(DistributionDetailElement.class);
	private NamedAreaSelectionElement selection_namedArea;
	private PresenceAbsenceTermComboElement combo_presenceAbsence;
	

	/**
	 * <p>Constructor for DistributionDetailElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.description.Distribution} object.
	 * @param style a int.
	 */
	public DistributionDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, Distribution entity, int style) {
		super(formFactory, formElement, entity, style);
	}
	
	/** {@inheritDoc} */
	@Override
	protected void createControls(ICdmFormElement formElement,
			Distribution entity, int style) {
		selection_namedArea = formFactory.createNamedAreaSelectionElement(this, getConversationHolder(), "Area", entity.getArea(), style);
		
        combo_presenceAbsence = (PresenceAbsenceTermComboElement) formFactory.createTermComboElement(TermComboType.PRESENCEABSENCESTATUS, this, "Distribution Status", entity.getStatus(), style);
        
	}

	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == selection_namedArea){
			getEntity().setArea(selection_namedArea.getEntity());
		}else if(eventSource == combo_presenceAbsence){
			getEntity().setStatus(combo_presenceAbsence.getSelection());
		}
	}

	
}
