/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.description.detail;

import org.eclipse.ui.forms.widgets.Section;

import eu.etaxonomy.cdm.model.description.QuantitativeData;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.EntityDetailType;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.ui.section.description.StatisticalMeasurementValueSection;
import eu.etaxonomy.taxeditor.ui.term.MeasurementUnitComboElement;

/**
 * <p>QuantitativeDataDetailElement class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class QuantitativeDataDetailElement extends
		AbstractDetailedDescriptionDetailElement<QuantitativeData> {

	private MeasurementUnitComboElement combo_mesaurementUnit;
	private StatisticalMeasurementValueSection section_statisticalMeasurementValues;
	
	/**
	 * <p>Constructor for QuantitativeDataDetailElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.description.QuantitativeData} object.
	 * @param style a int.
	 */
	public QuantitativeDataDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, QuantitativeData entity, int style) {
		super(formFactory, formElement, entity, style);
	}

	/** {@inheritDoc} */
	@Override
	protected void createControls(ICdmFormElement formElement,
			QuantitativeData entity, int style) {
		combo_mesaurementUnit = (MeasurementUnitComboElement) formFactory.createTermComboElement(TermComboType.MEASUREMENT_UNIT, formElement, "Measurement Unit", entity.getUnit(), style);
		section_statisticalMeasurementValues = (StatisticalMeasurementValueSection) formFactory.createEntityDetailSection(EntityDetailType.STATISTICAL_MEASUREMENT_VALUE, getConversationHolder(), formElement, Section.TWISTIE | Section.EXPANDED);
		section_statisticalMeasurementValues.setEntity(entity);
		section_statisticalMeasurementValues.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java.lang.Object)
	 */
	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		
	}

}
