/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.key;

import org.eclipse.jface.viewers.ISelectionProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;

/**
 * @author n.hoffmann
 *
 */
public class PolytomousKeyDetailSection extends AbstractCdmDetailSection<PolytomousKey> {

	public PolytomousKeyDetailSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			ISelectionProvider selectionProvider, int style) {
		super(formFactory, conversation, parentElement, selectionProvider, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getDetailType()
	 */
	@Override
	protected DetailType getDetailType() {
		return DetailType.POLYTOMOUS_KEY;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailSection#getHeading()
	 */
	@Override
	public String getHeading() {
		return "Polytomous Key";
	}

}
