/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.key;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.cdm.model.description.Scope;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * @author n.hoffmann
 *
 */
public class ScopeRestrictionSection extends AbstractEntityCollectionSection<PolytomousKey, Scope> {

	public ScopeRestrictionSection(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(formFactory, conversation, parentElement, "Scope Restriction", style);
	}

	@Override
	public Collection<Scope> getCollection(PolytomousKey entity) {
		return entity.getScopeRestrictions();
	}

	@Override
	public Scope createNewElement() {
		return Scope.NewInstance();
	}

	@Override
	public void addElement(Scope element) {
		getEntity().addScopeRestriction(element);
	}

	@Override
	public void removeElement(Scope element) {
		getEntity().removeScopeRestriction(element);
	}

	@Override
	public String getEmptyString() {
		return "No scope restrictions yet.";
	}

	@Override
	protected String getTooltipString() {
		return "Add a scope restriction";
	}

}
