// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.name;

import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
import eu.etaxonomy.taxeditor.ui.forms.CheckboxElement;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Jan 5, 2011
 * @version 1.0
 */
public class HybridDetailElement extends AbstractCdmDetailElement<NonViralName> {

	private CheckboxElement checkbox_monomHybrid;
	private CheckboxElement checkbox_binomHybrid;
	private CheckboxElement checkbox_trinomHybrid;
	
	/**
	 * @param formFactory
	 * @param formElement
	 */
	public HybridDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#createControls(eu.etaxonomy.taxeditor.forms.ICdmFormElement, java.lang.Object, int)
	 */
	@Override
	protected void createControls(ICdmFormElement formElement, NonViralName entity,
			int style) {
		checkbox_monomHybrid = formFactory.createCheckbox(formElement, "Monom Hybrid", entity.isMonomHybrid(), style);
		checkbox_binomHybrid = formFactory.createCheckbox(formElement, "Binom Hybrid", entity.isBinomHybrid(), style);
		checkbox_trinomHybrid = formFactory.createCheckbox(formElement, "Trinom Hybrid", entity.isTrinomHybrid(), style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == checkbox_monomHybrid){
			getEntity().setMonomHybrid(checkbox_monomHybrid.getSelection());
		}
		else if(eventSource == checkbox_binomHybrid){
			getEntity().setBinomHybrid(checkbox_binomHybrid.getSelection());
		}
		else if(eventSource == checkbox_trinomHybrid){
			getEntity().setTrinomHybrid(checkbox_trinomHybrid.getSelection());
		}
	}

}
