// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.occurrence;

import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @created Dec 15, 2010
 * @version 1.0
 */
public class DerivedUnitBaseWizardPage extends AbstractCdmEntityWizardPage<DerivedUnitFacade> {

	/**
	 * @param formFactory
	 * @param conversation
	 * @param entity
	 */
	public DerivedUnitBaseWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, DerivedUnitFacade entity) {
		super(formFactory, conversation, entity);
		setTitle("Derived Unit Details");
		setPageComplete(true);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage#checkComplete()
	 */
	@Override
	protected void checkComplete() {
		setPageComplete(true);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.forms.ICdmFormElement)
	 */
	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		DerivedUnitBaseDetailElement detailElement = (DerivedUnitBaseDetailElement) formFactory.createCdmDetailElement(DetailType.DERIVED_UNIT, rootElement, SWT.NULL);
		detailElement.setEntity(getEntity());		
		return detailElement;
	}

}
