// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.supplemental;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;
import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.NumberWithLabelElement;
import eu.etaxonomy.taxeditor.ui.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;

/**
 * <p>Abstract AbstractMediaRepresentationPartElement class.</p>
 *
 * @author n.hoffmann
 * @created Mar 24, 2010
 * @version 1.0
 */
public abstract class AbstractMediaRepresentationPartElement<T extends MediaRepresentationPart> extends
		AbstractEntityCollectionElement<T> {


	private static final Logger logger = Logger
			.getLogger(AbstractMediaRepresentationPartElement.class);
	protected TextWithLabelElement text_uri;
	protected NumberWithLabelElement text_size;

	/**
	 * <p>Constructor for AbstractMediaRepresentationPartElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param section a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
	 * @param element a T object.
	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
	 * @param style a int.
	 * @param <T> a T object.
	 */
	public AbstractMediaRepresentationPartElement(CdmFormFactory formFactory,
			AbstractFormSection section,
			T element, SelectionListener removeListener,
			int style) {
		super(formFactory, section, element, removeListener, null, style);
	}
	
	/** {@inheritDoc} */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		text_uri = formFactory.createTextWithLabelElement(element, "URI", null, style);
		text_size = formFactory.createIntegerTextWithLabelElement(element, "Size", null, style);
		text_size.setEnabled(false);
	}

}
