/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.common.Annotation;
import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
import eu.etaxonomy.taxeditor.ui.term.AnnotationTypeComboElement;

/**
 * <p>AnnotationElement class.</p>
 *
 * @author nho
 * @version $Id: $
 */
public class AnnotationElement extends AbstractEntityCollectionElement<Annotation>{

	private TextWithLabelElement text;
	private AnnotationTypeComboElement combo_annotationType;

	/**
	 * <p>Constructor for AnnotationElement.</p>
	 *
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
	 * @param annotation a {@link eu.etaxonomy.cdm.model.common.Annotation} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
	 */
	public AnnotationElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Annotation annotation, SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, annotation, removeListener, null, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#createControls(org.eclipse.swt.widgets.Composite)
	 */
	/** {@inheritDoc} */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		combo_annotationType = (AnnotationTypeComboElement) formFactory.createTermComboElement(TermComboType.ANNOTATIONTYPE, this, "Annotation Type", null, style);
		
		text = formFactory.createMultilineTextWithLabel(this, "Annotation", 100, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetComposite#setEntity(eu.etaxonomy.cdm.model.common.AnnotatableEntity)
	 */
	/** {@inheritDoc} */
	@Override
	public void setEntity(Annotation entity) {
		this.entity = entity;
		combo_annotationType.setSelection(getEntity().getAnnotationType());
		text.setText(entity.getText());
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
	 */
	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == combo_annotationType){
			getEntity().setAnnotationType(combo_annotationType.getSelection());
		}else if(eventSource == text){
			getEntity().setText(text.getText());
		}
	}
}
