/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.Credit;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * <p>CreditSection class.</p>
 *
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class CreditSection extends AbstractEntityCollectionSection<IdentifiableEntity, Credit> {

	/**
	 * <p>Constructor for CreditSection.</p>
	 *
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 */
	public CreditSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Credits", style);
	}

	/** {@inheritDoc} */
	@Override
	public Credit createNewElement() {
		return Credit.NewInstance(null, null);
	}

	/** {@inheritDoc} */
	@Override
	public Collection<Credit> getCollection(IdentifiableEntity entity) {
		return entity.getCredits();
	}

	/** {@inheritDoc} */
	@Override
	public String getEmptyString() {
		return  "No credits yet.";
	}

	/** {@inheritDoc} */
	@Override
	protected String getTooltipString() {
		return "Create a new credit entry";
	}

	/** {@inheritDoc} */
	@Override
	public void addElement(Credit element) {
		getEntity().addCredit(element);
	}

	/** {@inheritDoc} */
	@Override
	public void removeElement(Credit element) {
		getEntity().removeCredit(element);
	}

}
