/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;


import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
import eu.etaxonomy.cdm.model.common.ICdmBase;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>HeadlineSection class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class HeadlineSection extends AbstractFormSection<ICdmBase> {

	/**
	 * <p>Constructor for HeadlineSection.</p>
	 *
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param style a int.
	 */
	public HeadlineSection(CdmFormFactory cdmFormFactory, ICdmFormElement parentElement,
			int style) {
		super(cdmFormFactory, null, parentElement, style);
	}
	
	/** {@inheritDoc} */
	@Override
	public void setEntity(ICdmBase cdmBase) {
		ICdmBase entity = (ICdmBase) HibernateProxyHelper.deproxy(cdmBase);
		super.setEntity(entity);
		setText(entity.getClass().getSimpleName() + (entity instanceof IdentifiableEntity ? ": " + ((IdentifiableEntity) entity).getTitleCache() : ""));
		layout();
	}

}
