/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.common.Marker;
import eu.etaxonomy.cdm.model.common.MarkerType;
import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CheckboxElement;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
import eu.etaxonomy.taxeditor.ui.term.AbstractTermComboElement;

/**
 * <p>MarkerElement class.</p>
 *
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class MarkerElement extends AbstractEntityCollectionElement<Marker>{

	/**
	 * <p>Constructor for MarkerElement.</p>
	 *
	 * @param element a {@link eu.etaxonomy.cdm.model.common.Marker} object.
	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
	 */
	public MarkerElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, Marker element,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, formElement, element, removeListener, null, style);
	}
	
	private AbstractTermComboElement<MarkerType> combo_markerType;
	private CheckboxElement checkbox_markerState;


	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#createControls(org.eclipse.swt.widgets.Composite, int)
	 */
	/** {@inheritDoc} */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		checkbox_markerState = formFactory.createCheckbox(this, null, false, style);
		combo_markerType = formFactory.createTermComboElement(TermComboType.MARKERTYPE, this, null, null, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.entitysections.AbstractEntitySetElementComposite#setElement(eu.etaxonomy.cdm.model.common.VersionableEntity)
	 */
	/** {@inheritDoc} */
	@Override
	public void setEntity(Marker element) {
		this.entity = element;
		checkbox_markerState.setSelection(element.getFlag());
		combo_markerType.setSelection(element.getMarkerType());
	}

	/*
	 * (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.section.AbstractEntityCollectionElement#handleEvent(java.lang.Object)
	 */
	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == combo_markerType){
			getEntity().setMarkerType(combo_markerType.getSelection());
		}
		else if(eventSource == checkbox_markerState){
			getEntity().setFlag(checkbox_markerState.getSelection());
		}
	}
}
