/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import java.util.Collection;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
import eu.etaxonomy.cdm.model.media.Rights;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * <p>RightsSection class.</p>
 *
 * @author nho
 * @version $Id: $
 */
public class RightsSection extends AbstractEntityCollectionSection<IdentifiableEntity, Rights> {

	/**
	 * <p>Constructor for RightsSection.</p>
	 *
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 */
	public RightsSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Rights", style);
	}

	/** {@inheritDoc} */
	@Override
	public Rights createNewElement() {
		return Rights.NewInstance();
	}

	/** {@inheritDoc} */
	@Override
	public Collection<Rights> getCollection(IdentifiableEntity entity) {
		return entity.getRights();
	}

	/** {@inheritDoc} */
	@Override
	public String getEmptyString() {
		return "No rights yet.";
	}

	/** {@inheritDoc} */
	@Override
	protected String getTooltipString() {
		// TODO Auto-generated method stub
		return "Create new rights.";
	}

	/** {@inheritDoc} */
	@Override
	public void addElement(Rights element) {
		getEntity().addRights(element);
	}

	/** {@inheritDoc} */
	@Override
	public void removeElement(Rights element) {
		getEntity().removeRights(element);
	}

}
