package eu.etaxonomy.taxeditor.ui.section.user;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.common.Group;
import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
import eu.etaxonomy.taxeditor.ui.selection.GroupSelectionElement;

/**
 * 
 * @author n.hoffmann
 * @created Mar 10, 2011
 * @version 1.0
 */
public class GroupsByUserDetailElement extends
		AbstractEntityCollectionElement<Group> {

	private GroupSelectionElement selection_group;

	/**
	 * @param formFactory
	 * @param section
	 * @param entity
	 * @param removeListener
	 * @param backgroundColor
	 * @param style
	 */
	public GroupsByUserDetailElement(CdmFormFactory formFactory,
			AbstractFormSection section, Group entity,
			SelectionListener removeListener, int style) {
		super(formFactory, section, entity, removeListener, null, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement#setEntity
	 * (java.lang.Object)
	 */
	@Override
	public void setEntity(Group entity) {
		selection_group.setEntity(entity);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement#
	 * createControls(eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement, int)
	 */
	@Override
	public void createControls(ICdmFormElement element, int style) {
		selection_group = (GroupSelectionElement) formFactory
				.createSelectionElement(SelectionType.GROUP,
						getConversationHolder(), element, "Group", getEntity(),
						GroupSelectionElement.DEFAULT, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement#handleEvent
	 * (java.lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		if (eventSource == selection_group) {

		}
	}
}
