/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.user;

import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 *
 */
public class UserDetailWizardPage extends AbstractCdmEntityWizardPage<User> {

	public UserDetailWizardPage(CdmFormFactory formFactory,
			ConversationHolder conversation, User entity) {
		super(formFactory, conversation, entity);
		setTitle("User");
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage#createElement(eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement)
	 */
	@Override
	public AbstractCdmDetailElement createElement(ICdmFormElement rootElement) {
		UserDetailElement userElement = (UserDetailElement) formFactory.createCdmDetailElement(DetailType.USER, rootElement, SWT.NULL);
		userElement.setEntity(getEntity());
		return userElement;
	}
	
	@Override
	protected void checkComplete() {
		boolean hasUsername = getEntity().getUsername() != null;
		setPageComplete(hasUsername);
	};

}
