// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.FieldObservationSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * FieldObservationSelectionElement class.
 * </p>
 * 
 * @author n.hoffmann
 * @created Jun 17, 2010
 * @version 1.0
 */
public class FieldObservationSelectionElement extends
		AbstractSelectionElement<FieldObservation> {

	public static final int DEFAULT = EDITABLE | SELECTABLE | DELETABLE;

	/**
	 * <p>
	 * Constructor for FieldObservationSelectionElement.
	 * </p>
	 * 
	 * @param formFactory
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param parentElement
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
	 *            object.
	 * @param labelString
	 *            a {@link java.lang.String} object.
	 * @param entity
	 *            a {@link eu.etaxonomy.cdm.model.occurrence.FieldObservation}
	 *            object.
	 * @param style
	 *            a int.
	 */
	public FieldObservationSelectionElement(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, FieldObservation entity, int mode, int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				mode, style);
	}

	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		FieldObservation newSelection = FieldObservationSelectionDialog.select(
				getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}
}
