// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.agent.Institution;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.InstitutionSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * InstitutionSelectionElement class.
 * </p>
 * 
 * @author n.hoffmann
 * @created Nov 17, 2009
 * @version 1.0
 */
public class InstitutionSelectionElement extends
		AbstractSelectionElement<Institution> {

	public static final int DEFAULT = EDITABLE | SELECTABLE | DELETABLE;

	/**
	 * <p>
	 * Constructor for InstitutionSelectionElement.
	 * </p>
	 * 
	 * @param labelString
	 *            a {@link java.lang.String} object.
	 * @param selection
	 *            a {@link eu.etaxonomy.cdm.model.agent.Institution} object.
	 * @param style
	 *            a int.
	 * @param toolkit
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param parentElement
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
	 *            object.
	 */
	public InstitutionSelectionElement(CdmFormFactory toolkit,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, Institution selection, int mode, int style) {
		super(toolkit, conversation, parentElement, labelString, selection,
				mode, style);
	}

	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		Institution newSelection = InstitutionSelectionDialog.select(
				getShell(), getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}
}
