/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.name.TaxonNameBase;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.NameSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * NameSelectionElement class.
 * </p>
 * 
 * @author nho
 * @version $Id: $
 */
public class NameSelectionElement extends
		AbstractSelectionElement<TaxonNameBase> {

	public static final int DEFAULT = EDITABLE | SELECTABLE | DELETABLE;

	/**
	 * <p>
	 * Constructor for NameSelectionElement.
	 * </p>
	 * 
	 * @param labelString
	 *            a {@link java.lang.String} object.
	 * @param selection
	 *            a {@link eu.etaxonomy.cdm.model.name.TaxonNameBase} object.
	 * @param style
	 *            a int.
	 * @param toolkit
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param parentElement
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
	 *            object.
	 */
	public NameSelectionElement(CdmFormFactory toolkit,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, TaxonNameBase selection, int mode, int style) {
		super(toolkit, conversation, parentElement, labelString, selection,
				mode, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt
	 * .events.SelectionEvent)
	 */
	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		TaxonNameBase newSelection = NameSelectionDialog.select(getShell(),
				getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}

}
