// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.location.NamedArea;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.NamedAreaSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * NamedAreaSelectionElement class.
 * </p>
 * 
 * @author n.hoffmann
 * @created May 11, 2010
 * @version 1.0
 */
public class NamedAreaSelectionElement extends
		AbstractSelectionElement<NamedArea> {

	public static final int DEFAULT = NOTHING;

	/**
	 * <p>
	 * Constructor for NamedAreaSelectionElement.
	 * </p>
	 * 
	 * @param formFactory
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param parentElement
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
	 *            object.
	 * @param labelString
	 *            a {@link java.lang.String} object.
	 * @param entity
	 *            a {@link eu.etaxonomy.cdm.model.location.NamedArea} object.
	 * @param style
	 *            a int.
	 */
	public NamedAreaSelectionElement(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, NamedArea entity, int mode, int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				mode, style);
	}

	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		NamedArea newSelection = NamedAreaSelectionDialog.select(
				getLayoutComposite().getShell(), getConversationHolder(),
				entity);
		setSelectionInternal(newSelection);
	}

	/** {@inheritDoc} */
	@Override
	protected String getTitle() {
		return (entity != null) ? NamedArea.labelWithLevel(entity,
				CdmStore.getDefaultLanguage()) : "";
	}
}
