// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.PolytomousKeySelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Dec 3, 2010
 * @version 1.0
 */
public class PolytomousKeySelectionElement extends
		AbstractSelectionElement<PolytomousKey> {

	public static final int DEFAULT = EDITABLE | DELETABLE;

	/**
	 * @param formFactory
	 * @param conversation
	 * @param parentElement
	 * @param labelString
	 * @param entity
	 * @param isEditable
	 * @param isSelectable
	 * @param isDeletable
	 * @param style
	 */
	public PolytomousKeySelectionElement(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, PolytomousKey entity, int mode, int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				mode, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt
	 * .events.SelectionEvent)
	 */
	@Override
	public void widgetSelected(SelectionEvent e) {
		PolytomousKey newSelection = PolytomousKeySelectionDialog.select(
				getShell(), getConversationHolder(), entity);

		setSelectionInternal(newSelection);
	}

}
