/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.api.service.IReferenceService;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.ReferenceSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * ReferenceSelectionElement class.
 * </p>
 * 
 * @author n.hofmann
 * @version $Id: $
 */
public class ReferenceSelectionElement extends
		AbstractSelectionElement<Reference> {

	public static final int DEFAULT = EDITABLE | SELECTABLE | DELETABLE;

	/**
	 * <p>
	 * Constructor for ReferenceSelectionElement.
	 * </p>
	 * 
	 * @param labelString
	 *            a {@link java.lang.String} object.
	 * @param selection
	 *            a {@link eu.etaxonomy.cdm.model.reference.ReferenceBase}
	 *            object.
	 * @param style
	 *            a int.
	 * @param toolkit
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param parentElement
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
	 *            object.
	 */
	public ReferenceSelectionElement(CdmFormFactory toolkit,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, Reference selection, int mode, int style) {
		super(toolkit, conversation, parentElement, labelString, selection,
				mode, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt
	 * .events.SelectionEvent)
	 */
	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		Reference newSelection = ReferenceSelectionDialog.select(getShell(),
				getConversationHolder(), entity);

		setSelectionInternal(newSelection);
		
//		Reference freshlyLoadedSelection = null;
//		if (newSelection != null)
//			freshlyLoadedSelection = CdmStore.getService(
//					IReferenceService.class).load(newSelection.getUuid());
//
//		setSelectionInternal(freshlyLoadedSelection);
	}
}
