/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.taxon.TaxonBase;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.TaxonBaseSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>
 * TaxonBaseSelectionElement class.
 * </p>
 * 
 * @author nho
 * @version $Id: $
 */
public class TaxonBaseSelectionElement extends
		AbstractSelectionElement<TaxonBase> {

	public static final int DEFAULT = DELETABLE;

	/**
	 * <p>
	 * Constructor for TaxonBaseSelectionElement.
	 * </p>
	 * 
	 * @param labelString
	 *            a {@link java.lang.String} object.
	 * @param selection
	 *            a {@link eu.etaxonomy.cdm.model.taxon.TaxonBase} object.
	 * @param style
	 *            a int.
	 * @param toolkit
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
	 *            object.
	 * @param conversation
	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
	 *            object.
	 * @param parentElement
	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
	 *            object.
	 */
	public TaxonBaseSelectionElement(CdmFormFactory toolkit,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, TaxonBase selection, int mode, int style) {
		super(toolkit, conversation, parentElement, labelString, selection,
				mode, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt
	 * .events.SelectionEvent)
	 */
	/** {@inheritDoc} */
	@Override
	public void widgetSelected(SelectionEvent e) {
		TaxonBase newSelection = TaxonBaseSelectionDialog.selectTaxonBase(
				getShell(), getConversationHolder());
		setSelectionInternal(newSelection);
	}

}
