// $Id$
/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.ui.selection;

import org.eclipse.swt.events.SelectionEvent;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.UserSelectionDialog;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * @author n.hoffmann
 * @created Mar 10, 2011
 * @version 1.0
 */
public class UserSelectionElement extends AbstractSelectionElement<User> {

	public static final int DEFAULT = NOTHING;

	/**
	 * @param formFactory
	 * @param conversation
	 * @param parentElement
	 * @param labelString
	 * @param entity
	 * @param isEditable
	 * @param isSelectable
	 * @param isDeletable
	 * @param style
	 */
	public UserSelectionElement(CdmFormFactory formFactory,
			ConversationHolder conversation, ICdmFormElement parentElement,
			String labelString, User entity, int mode, int style) {
		super(formFactory, conversation, parentElement, labelString, entity,
				mode, style);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt
	 * .events.SelectionEvent)
	 */
	@Override
	public void widgetSelected(SelectionEvent e) {
		User newSelection = UserSelectionDialog.select(getShell(),
				getConversationHolder(), entity);
		setSelectionInternal(newSelection);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.ui.selection.AbstractSelectionElement#getTitle()
	 */
	@Override
	protected String getTitle() {
		return (entity != null) ? entity.getUsername() : "NO USER";
	}
}
