/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.common.Language;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>LanguageComboElement class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class LanguageComboElement extends AbstractTermComboElement<Language> {

	private static final int VISIBLE_ITEMS = 20;

	/**
	 * <p>Constructor for LanguageComboElement.</p>
	 *
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.common.Language} object.
	 * @param style a int.
	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 */
	public LanguageComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString, Language selection, int style) {
		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.AbstractTermComboComposite#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<Language> preferredTerms() {
		return getTermManager().getPreferredLanguages();
	}
}
