/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.description.MeasurementUnit;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>MeasurementUnitComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Sep 15, 2010
 * @version 1.0
 */
public class MeasurementUnitComboElement extends AbstractTermComboElement<MeasurementUnit> {

	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * <p>Constructor for MeasurementUnitComboElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.description.MeasurementUnit} object.
	 * @param style a int.
	 */
	public MeasurementUnitComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			MeasurementUnit selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<MeasurementUnit> preferredTerms() {
		return getTermManager().getPreferredMeasurementUnits();
	}

}
