// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.description.Modifier;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>ModifierComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Sep 15, 2010
 * @version 1.0
 */
public class ModifierComboElement extends AbstractTermComboElement<Modifier> {
	
	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * <p>Constructor for ModifierComboElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.description.Modifier} object.
	 * @param style a int.
	 */
	public ModifierComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			Modifier selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/** {@inheritDoc} */
	@Override
	protected List<Modifier> preferredTerms() {
		return getTermManager().getPreferredModifiers();
	}
}
