// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>NomenclaturalStatusTypeComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class NomenclaturalStatusTypeComboElement extends
		AbstractTermComboElement<NomenclaturalStatusType> {
	
	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * <p>Constructor for NomenclaturalStatusTypeComboElement.</p>
	 *
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.name.NomenclaturalStatusType} object.
	 * @param style a int.
	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 */
	public NomenclaturalStatusTypeComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement,
			String labelString, NomenclaturalStatusType selection, int style) {
		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.termcombos.AbstractTermComboComposite#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<NomenclaturalStatusType> preferredTerms() {
		return getTermManager().getPreferredNomenclaturalStatusTypes();
	}
}
