// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>PreservationMethodComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Jun 25, 2010
 * @version 1.0
 */
public class PreservationMethodComboElement extends AbstractTermComboElement<PreservationMethod> {
	
	private static final int VISIBLE_ITEMS = 5;	
	
	/**
	 * <p>Constructor for PreservationMethodComboElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.occurrence.PreservationMethod} object.
	 * @param style a int.
	 */
	public PreservationMethodComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString,
			PreservationMethod selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<PreservationMethod> preferredTerms() {
		return getTermManager().getPreferredPreservationMethods();
	}
}
