// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import eu.etaxonomy.cdm.model.reference.ReferenceType;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>ReferenceTypeComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class ReferenceTypeComboElement extends AbstractEnumComboElement<ReferenceType>{

	/**
	 * <p>Constructor for ReferenceTypeComboElement.</p>
	 *
	 * @param style a int.
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param labelString a {@link java.lang.String} object.
	 * @param referenceType a {@link eu.etaxonomy.cdm.model.reference.ReferenceType} object.
	 */
	public ReferenceTypeComboElement(CdmFormFactory formFactory, ICdmFormElement parentElement, String labelString, ReferenceType referenceType, int style) {
		super(formFactory, parentElement, labelString);
	}

	/**
	 * <p>populateTypes</p>
	 */
	protected void populateTypes() {
		for(ReferenceType referenceType : ReferenceType.values()){
			elementTypeList.add(referenceType);
			combo.add(referenceType.getMessage(CdmStore.getDefaultLanguage()));
		}
	}
}
