// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.media.RightsTerm;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>RightsTypeComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Nov 16, 2009
 * @version 1.0
 */
public class RightsTypeComboElement extends AbstractTermComboElement<RightsTerm> {

	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * <p>Constructor for RightsTypeComboElement.</p>
	 *
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.media.RightsTerm} object.
	 * @param style a int.
	 * @param toolkit a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 */
	public RightsTypeComboElement(CdmFormFactory toolkit, ICdmFormElement parentElement, String labelString,
			RightsTerm selection, int style) {
		super(toolkit, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.termcombos.AbstractTermComboComposite#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<RightsTerm> preferredTerms() {
		return getTermManager().getPreferredRightsTypes();
	}
}
