// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import java.util.ArrayList;
import java.util.List;

import eu.etaxonomy.cdm.model.description.Sex;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>SexComboElement class.</p>
 *
 * @author n.hoffmann
 * @created Jun 24, 2010
 * @version 1.0
 */
public class SexComboElement extends AbstractTermComboElement<Sex> {

	private static final int VISIBLE_ITEMS = 2;
	
	/**
	 * <p>Constructor for SexComboElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.description.Sex} object.
	 * @param style a int.
	 */
	public SexComboElement(CdmFormFactory formFactory,
			ICdmFormElement parentElement, String labelString, Sex selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<Sex> preferredTerms() {
		List<Sex> list = new ArrayList<Sex>();
		list.add(Sex.FEMALE());
		list.add(Sex.MALE());
		return list;
	}
}
