// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.term;

import java.util.List;

import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;

/**
 * <p>SpecimenTypeDesignationStatusComboElement class.</p>
 *
 * @author n.hoffmann
 * @created May 17, 2010
 * @version 1.0
 */
public class SpecimenTypeDesignationStatusComboElement extends
		AbstractTermComboElement<SpecimenTypeDesignationStatus> {

	private static final int VISIBLE_ITEMS = 10;
	
	/**
	 * <p>Constructor for SpecimenTypeDesignationStatusComboElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
	 * @param labelString a {@link java.lang.String} object.
	 * @param selection a {@link eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus} object.
	 * @param style a int.
	 */
	public SpecimenTypeDesignationStatusComboElement(
			CdmFormFactory formFactory, ICdmFormElement parentElement,
			String labelString, SpecimenTypeDesignationStatus selection, int style) {
		super(formFactory, parentElement, labelString, selection, VISIBLE_ITEMS, style);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.term.AbstractTermComboElement#preferredTerms()
	 */
	/** {@inheritDoc} */
	@Override
	protected List<SpecimenTypeDesignationStatus> preferredTerms() {
		return getTermManager().getPreferredSpecimenTypeDesignationStatus();
	}
}
