// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.view.datasource.handler;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.datasource.wizard.CdmDataSourceWizard;
import eu.etaxonomy.taxeditor.store.StoreUtil;
import eu.etaxonomy.taxeditor.view.datasource.CdmDataSourceViewPart;
import eu.etaxonomy.taxeditor.view.datasource.CdmMetaDataAwareDataSourceContainer;

/**
 * <p>EditDataSourceHandler class.</p>
 *
 * @author n.hoffmann
 * @created 15.04.2009
 * @version 1.0
 */
public class EditDataSourceHandler extends AbstractDataSourceHandler {

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.store.datasource.handler.AbstractDataSourceHandler#specificExecute(org.eclipse.core.commands.ExecutionEvent)
	 */
	/** {@inheritDoc} */
	@Override
	public boolean specificExecute(ExecutionEvent event) {
		CdmMetaDataAwareDataSourceContainer container = getSelectedDataSourceContainer(event);
		
		CdmDataSourceWizard wizard = new CdmDataSourceWizard(container.getDataSource());
		WizardDialog dialog = new WizardDialog(HandlerUtil.getActiveShell(event), wizard);
	    	    
		int result = dialog.open();
		
		if(result == IStatus.OK){
			CdmDataSourceViewPart view = (CdmDataSourceViewPart) StoreUtil.getView(CdmDataSourceViewPart.ID, false);
			if(view != null){
				view.getViewer().update(new CdmMetaDataAwareDataSourceContainer[]{container}, null);
			}	
		}
		
	    return false;
	}
}
